const logWindow = document.getElementById("logs");

function appendLogs(msg) {
    if (logWindow) {
        logWindow.value = msg + "\n" + logWindow.value;
    }
}

function installWebViewEventHandler(webview) {
    if (!webview) {
        return;
    }

    webview.addEventListener("loadstart", (e) => {
        const msg = `loadstart, URL:${e.url}`;
        appendLogs(msg);
        console.log('loadstart', e)
    });
    webview.addEventListener("loadstop", (e) => {
        const msg = `loadstop, URL:${e.url}`;
        appendLogs(msg);
        console.log(e.url);
        if (e.url.includes('http://www.picsi.ai/user/callback?code=')) {

            // 获取当前页面的 cookies
            try {
                const cookies = webview.executeJavaScript('document.cookie');
                console.log("Cookies:", cookies); // 输出获取到的 cookies
            } catch (error) {
                console.error("Error executing JavaScript:", error);
            }
            webview.style.display = "none";
        }
        console.log('loadstop', e)
    });
    webview.addEventListener("loaderror", (e) => {
        const msg = `loaderror, URL:${e.url}`;
        appendLogs(msg);
        console.log('loaderror', e);
    });

    // Note that "message" event listener should be added to window, not webview.
    window.addEventListener("message", (e) => {
        console.log('message', e)
        const buffer = Uint8Array.from(atob(e.data), c => c.charCodeAt(0));
        const msg = `received message from WebView: message size=${e.data.length} file size:${buffer.length}, origin:${e.origin}}`;
        appendLogs(msg);
        webview.postMessage(msg);
    });
}

const webview = document.getElementById("webview");
installWebViewEventHandler(webview);
